import { type ComponentProps } from 'react'

import { Input } from '../Input'
import { RootStylesProps } from '../Input/Input.styles'

type NumberProps = ComponentProps<'input'> & RootStylesProps

function Number({ ...props }: NumberProps) {
	return <Input type='number' {...props} />
}

export { Number }
